{* :Admin:Obsah:Kalendar:Seznam:default *}
{block content}
{*============================== BREADCRUMB ==============================*}
<section class="border-bottom" id="breadcrumb">
    <nav class="p-3 bg-light">
        <ol class="breadcrumb mb-0">
            <li class="breadcrumb-item"><a n:href=":Admin:Dashboard:default"><i class="fas fa-home me-1"></i> Nástěnka</a></li>
            <li class="breadcrumb-item active" n:block="title">Termínový kalendář</li>
        </ol>
    </nav>
</section>
{*============================== OBSAH ==============================*}
<section class="container-xxl mb-3">
    <h1>Termínový kalendář</h1>
    {* filtrace *}
    <section class="row border-bottom mb-0 py-2">
        <div class="col-12 col-xl-9 mb-lg-2 mb-xl-0">
            <div class="w-100 d-md-flex justify-content-between align-items-center mb-3 mb-lg-0">
                <div class="input-group mb-2 mb-md-0 me-2">
                    <span class="input-group-text"><i class="fas fa-pen"></i></span>
                    <input type="text" id="kalendar-filter-nazev" class="form-control" placeholder="Název">
                </div>
                <div class="input-group mb-2 mb-md-0 me-2">
                    <span class="input-group-text"><i class="fas fa-calendar-days"></i></span>
                    <input type="text" id="kalendar-filter-datum" class="datepicker form-control" placeholder="Datum">
                </div>
                <button class="btn btn-outline-success me-2" onclick="selectKalendarFilter()">Filtrovat</button>
                <button class="btn btn-outline-secondary" onclick="selectKalendarFilterOff()">Reset</button>
            </div>
        </div>
        <div class="col-12 col-xl-3 d-flex justify-content-end">
            {control novyKalendar}
        </div>
    </section>
    {*seznam*}
    {snippet list}
        {*====== PAGINATOR ========*}
        {if (!empty($data))}
            {control paginator}
        {/if}
        {*====== TABLE ========*}
        <section>
            <div class="table-responsive">
                <table class="table table-striped table-responsive">
                    <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">Název</th>
                        <th scope="col">Datum</th>
                        <th scope="col"></th>
                    </tr>
                    </thead>
                    <tbody>
                    {if (!empty($data))}
                        {foreach $data as $one}
                            <tr>
                                <td>{$one->id}</td>
                                <td>{$one->nazev}</td>
                                <td>{$one->datum |date:('d.m.Y')}</td>
                                <td>
                                    <div class="d-flex justify-content-end align-items-center gap-3">
                                        {control editKalendar-$one->id}
                                        {control vymazKalendar-$one->id}
                                    </div>
                                </td>
                            </tr>
                        {/foreach}
                    {else}
                        <tr>
                            <td colspan="6" class="text-center">
                                Žádná data k zobrazení
                            </td>
                        </tr>
                    {/if}
                    </tbody>
                </table>
            </div>
        </section>
    {/snippet}
    </section>
{/block}
{block scripts}
    <script>
        function selectKalendarFilter()
        {
            let nazev = $('#kalendar-filter-nazev').val();
            let datum = $('#kalendar-filter-datum').val();

            let data = [];

            if(nazev != '')
            {
                data['nazev'] = nazev;
            }
            if(datum != '')
            {
                data['datum'] = datum;
            }

            naja.makeRequest('GET', {link filter!} , { 'filter': data });
        }
        function selectKalendarFilterOff()
        {
            let data = [];

            $('#kalendar-filter-nazev').val('');
            $('#kalendar-filter-datum').val('');

            naja.makeRequest('GET', {link filter!} , { 'filter': data });
        }
    </script>
{/block}